Bug 94269 - Replace "n" prefix for bool variables with "b"
Summary: Replace "n" prefix for bool variables with "b"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2015-09-16 10:54 UTC by Tor Lillqvist
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2015-09-16 10:54:52 UTC
git grep -E 'bool n[A-Z]'

shows places where the 'n' prefix are used for bool variables. It should be 'b'.
Comment 1 Utkarsh Tiwari 2015-10-12 06:04:46 UTC
I which directory shall I try this command because it's taking a lot of time in the ~/core/ directory of the libreoffice build. I am new to open source and looking forward to making my first contribution. Please guide me.
Comment 2 Tor Lillqvist 2015-10-12 07:47:16 UTC
Well, either all of "core", or then one subdirectory at a time. "lot of time" is relative, it shouldn't take more than some minutes even on a relatively slow machine, I think. No need to run it over and over again, save the output in a file and look in it when you need to.
Comment 3 Commit Notification 2015-11-02 22:50:30 UTC
Benjamin Ni committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be729e772196f33543e21cb9bac21add87726b20

tdf#94269: Replace "n" prefix for bool variables with "b"

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Tor Lillqvist 2015-11-04 16:16:51 UTC
Please, when working on this, do only what the title says. Only replace 'n' prefixes for bool variables or fields with 'b'. Don't go *introducing* 'b' prefixes for bool variables elsewhere, in places where the surrounding code perhaps does not use our pseudo-Hungarian notation at all, or where some local bool variable is otherwise already named just obviously and fine enough.
Comment 5 Björn Michaelsen 2015-11-21 14:32:23 UTC
for reference: https://wiki.openoffice.org/wiki/Writer/Code_Conventions#local_variables
Comment 6 Robinson Tryon (qubit) 2015-12-14 06:32:46 UTC Comment hidden (obsolete)
Comment 7 daniel 2016-02-03 01:04:33 UTC
This issue seems to have been resolved and git grep -E 'bool n[A-Z]'
 returns no results. IS it ok to be marked as resolved?
Comment 8 Chris Sherlock 2016-02-03 01:08:48 UTC
Try:

git grep -E 'bool\s*n[A-Z]'
Comment 9 Commit Notification 2016-02-03 13:28:10 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8db902785ed40ef388218bd5068f14f5d4bedd69

tdf#94269 Replace "n" prefix for bool variables with "b"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2016-02-18 16:37:03 UTC Comment hidden (obsolete)